databaseChangeLog:
  - changeSet:
      id: add-app-version-history-table
      author: maverick
      changes:
        - createTable:
            tableName: app_version_history
            columns:
              - column:
                  name: app_version
                  type: VARCHAR(128)
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: app_version_history_pkey
              - column:
                  name: layout_parser_version
                  type: VARCHAR(128)
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: app_version_history_pkey
              - column:
                  name: date
                  type: TIMESTAMP WITHOUT TIME ZONE
                  constraints:
                    nullable: false
  - changeSet:
      id: add-layout-parser-version-to-file
      author: maverick
      changes:
        - addColumn:
            tableName: file
            columns:
              - column:
                  name: layout_parser_version
                  type: VARCHAR(128)
